Skip to main content
POST
/
v1
/
transactions
/
enrich
curl --request POST \
  --url https://api.triqai.com/v1/transactions/enrich \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "title": "AMAZON MKTPLACE PMTS AMZN.COM/BILL WA",
  "country": "US",
  "type": "expense"
}
'
{
  "success": true,
  "partial": true,
  "data": {
    "transaction": {
      "category": {
        "primary": {
          "name": "<string>",
          "code": {
            "mcc": 123,
            "sic": 123,
            "naics": 123
          }
        },
        "secondary": {
          "name": "<string>",
          "code": {
            "mcc": 123,
            "sic": 123,
            "naics": 123
          }
        },
        "tertiary": {
          "name": "<string>",
          "code": {
            "mcc": 123,
            "sic": 123,
            "naics": 123
          }
        },
        "confidence": {
          "value": 50,
          "reasons": [
            "<string>"
          ]
        }
      },
      "subscription": {
        "recurring": true,
        "type": "streaming"
      },
      "channel": "in_store",
      "confidence": {
        "value": 50,
        "reasons": [
          "<string>"
        ]
      }
    },
    "entities": [
      {
        "type": "merchant",
        "role": "<string>",
        "confidence": {
          "value": 50,
          "reasons": [
            "<string>"
          ]
        },
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "alias": [
            "<string>"
          ],
          "icon": "<string>",
          "color": "<string>",
          "website": "<string>",
          "domain": "<string>",
          "keywords": [
            "<string>"
          ],
          "description": "<string>"
        }
      }
    ]
  },
  "meta": {
    "generatedAt": "2023-11-07T05:31:56Z",
    "requestId": "<string>",
    "version": "<string>",
    "categoryVersion": "<string>",
    "errors": [
      "location_timeout"
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Public API key

Headers

Idempotency-Key
string

Optional idempotency key. X-Idempotency-Key is also accepted and must match when both are sent.

Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9_-]{1,64}$

Query Parameters

force
boolean
default:false

Bypass cached result when true.

Body

application/json
title
string
required
Required string length: 1 - 256
country
string
required
Pattern: ^[A-Za-z]{2}$
type
enum<string>
required
Available options:
expense,
income

Response

Enrichment completed

success
enum<boolean>
required
Available options:
true
partial
boolean
required
data
object
required
meta
object
required